ruby-uuidtools_2.1.5-1_all.deb


Advertisement

Description

ruby-uuidtools - UUIDs generation library for Ruby

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: ruby-uuidtools
Package version: 2.1.5
Package release: 1
Package architecture: all
Package type: deb
Installed size: 53 B
Download size: 11.30 KB
Official Mirror: archive.ubuntu.com
UUIDTools was designed to be a simple library for generating any of the various types of UUIDs (or GUIDs if you prefer to call them that). It conforms to RFC 4122 whenever possible.

Alternatives

    Download

    Source package: ruby-uuidtools

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install ruby-uuidtools deb package:
      # sudo apt-get install ruby-uuidtools

    Files

    • /usr/lib/ruby/vendor_ruby/uuidtools.rb
    • /usr/lib/ruby/vendor_ruby/compat/securerandom.rb
    • /usr/lib/ruby/vendor_ruby/uuidtools/version.rb
    • /usr/share/doc/ruby-uuidtools/changelog.Debian.gz
    • /usr/share/doc/ruby-uuidtools/copyright
    • /usr/share/rubygems-integration/all/specifications/uuidtools-2.1.5.gemspec

    Changelog

    2016-03-04 - Lucas Kanashiro <kanashiro.duarte@gmail.com> ruby-uuidtools (2.1.5-1) unstable; urgency=medium * Team upload. [ Cédric Boutillier ] * Bump debhelper compatibility level to 9 * Remove version in the gem2deb build-dependency * Use https:// in Vcs-* fields * Bump Standards-Version to 3.9.7 (no changes needed) * Run wrap-and-sort on packaging files [ Lucas Kanashiro ] * New upstream version.

    2014-09-16 - Marc Dequènes (Duck) <Duck@DuckCorp.org> ruby-uuidtools (2.1.4-2) unstable; urgency=low * Fixed previous changelog entry, changes were not documented. * Build-Depends on libjs-jquery which is needed for rdoc generation (see #760952) (Closes: #761561). * Removed now useless B-D on graphviz (rdoc does not use it anymore).

    2013-06-06 - Marc Dequènes (Duck) <Duck@DuckCorp.org> ruby-uuidtools (2.1.4-1) unstable; urgency=low [ Cédric Boutillier ] * Updated Vcs fields to use the canonical URI. * Updated copyright file format version to 1.0 (no changes needed). [ Marc Dequènes (Duck) ] * New upstream release. * README file is not distributed anymore. * Removed transitional libuuidtools-* package and obsolete relations. * Increased Standards-Version to 3.9.4 (no changes). * Use system JQuery library instead of embedded one for documentation.

    2012-06-24 - Vincent Fourmond <fourmond@debian.org> ruby-uuidtools (2.1.2-2) unstable; urgency=low * Team upload [ Marc Dequènes (Duck) ] * Fixed upstream software name in copyright file. [ Vincent Fourmond ] * Rebuild with recent gem2deb * Make all transitional Priority: extra * Seems to conform to standards 3.9.3

    2011-08-13 - Marc Dequènes (Duck) <Duck@DuckCorp.org> ruby-uuidtools (2.1.2-1) unstable; urgency=low * New upstream release. * Switched to gem2deb packaging style. * Switched to the new git repository. * Converted copyright file to DEP5 and updated content.

    2010-03-21 - Marc Dequènes (Duck) <Duck@DuckCorp.org> libuuidtools-ruby (2.1.1-2) unstable; urgency=low * Added support for Ruby 1.9.1. * Removed useless depends on 'rubygems' (only used in source rakefiles) (Closes: #573286).

    2010-02-04 - Marc Dequènes (Duck) <Duck@DuckCorp.org> libuuidtools-ruby (2.1.1-1) unstable; urgency=low * New upstream release (Closes: #558817). * Fixed download URL in 'debian/copyright'. * Switched to dpkg-source 3.0 (quilt) format. * Increased Standards-Version to 3.8.4.0 (no changes). * Switched to debhelper 7. * Added watch file.

    2009-06-29 - Marc Dequènes (Duck) <Duck@DuckCorp.org> libuuidtools-ruby (2.0.0-1) unstable; urgency=low * Initial release.

    Advertisement
    Advertisement